XML Standard API: Interface CSSStyleRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSStyleRule

All Superinterfaces:
  CSSRule

public interface CSSStyleRule
extends CSSRule

The `CSSStyleRule` interface represents a single rule set in a CSS style sheet.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Fields inherited from interface org.w3c.dom.css.CSSRule
`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

Method Summary
`java.lang.String` | `getSelectorText()` The textual representation of the selector for the rule set.
`CSSStyleDeclaration` | `getStyle()` The declaration-block of this rule set.
`void` | `setSelectorText(java.lang.String selectorText)` The textual representation of the selector for the rule set.

Methods inherited from interface org.w3c.dom.css.CSSRule
`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

Method Detail

### getSelectorText

    public java.lang.String getSelectorText()

  The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

### setSelectorText

    public void setSelectorText(java.lang.String selectorText)
                         throws DOMException

  The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

### getStyle

    public CSSStyleDeclaration getStyle()

  The declaration-block of this rule set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.